%define beta b1
%define svn  r68

Name: sqlitebrowser
Version: 2.0
Release: %mkrel -c %svn 7

Summary:    Design and edit database files compatible with SQLite
License:    Public Domain
Group:      Databases
Url:        http://sqlitebrowser.sourceforge.net/index.html
#Source0:    http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}_200_%{beta}_src.tar.gz
Source0:    http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}-%{svn}.tar.xz
Patch0:     sqlitebrowser-2.0-fix-str-fmt.patch
Patch1:     sqlitebrowser-2.0-use_system_sqlite.patch

BuildRequires: qt4-devel
BuildRequires: sqlite3-devel

%description
SQLite Database Browser is a freeware, public domain, open source 
visual tool used to create, design and edit database files compatible 
with SQLite. It is meant to be used for users and developers that want 
to create databases, edit and search data using a familiar 
spreadsheet-like interface, without the need to learn complicated 
SQL commands.

%prep
%setup -q -n %{name}/%{name}/%{name}
%patch0 -p0
%patch1 -p3
chmod 644 *txt

%build
%qmake_qt4
%make

%install
install -d -m 755 %{buildroot}/%{_bindir}
cp sqlitebrowser %{buildroot}/%{_bindir}/

install -d -m 755 %{buildroot}%{_datadir}/applications/
cat >%{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite database browser
Comment=GUI editor for SQLite databases
TryExec=sqlitebrowser
Exec=sqlitebrowser
Icon=sqlitebrowser
Terminal=false
Type=Application
Categories=Development;Database;Qt;
MimeType=application/x-sqlite3;
EOF

install -m 644 -D images/128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%files
%doc *.txt
%{_bindir}/sqlitebrowser
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Sun Jan 31 2016 umeabot <umeabot> 2.0-0.r68.7.mga6
+ Revision: 929563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.r68.6.mga5
+ Revision: 745158
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.r68.5.mga5
+ Revision: 689303
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-0.r68.4.mga4
+ Revision: 521328
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 malo <malo> 2.0-0.r68.3.mga3
+ Revision: 390337
- updated RPM group

* Mon Jan 14 2013 umeabot <umeabot> 2.0-0.r68.2.mga3
+ Revision: 382566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 jquelin <jquelin> 2.0-0.r68.1.mga2
+ Revision: 193814
- update buildrequires:
- fix patch to use system sqlite
- update to svn r68 to allow cooker migration (mga#4064)

* Thu Mar 03 2011 jquelin <jquelin> 2.0-0.b1.1.mga1
+ Revision: 63246
- patch to use system sqlite
- make it build
- fix str-fmt patch
- use system sqlite lib
- mageia rebuild
- imported package sqlitebrowser


* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 2.0-0.b1.1mdv2010.1
+ Revision: 507376
- New version 2.0 b1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-6mdv2009.0
+ Revision: 260988
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-5mdv2009.0
+ Revision: 253070
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2008.1
+ Revision: 140851
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.3-3mdv2008.0
+ Revision: 71552
- rebuild


* Wed Aug 09 2006 glehmann
+ 08/09/06 21:19:05 (55160)
rebuild

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:31:42 (42720)
Import sqlitebrowser

* Sat May 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Thu May 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- * Tue May 24 2005 Patrice Ferlet <metal3d@copix.org> 1.2.1-1mdk
  - Initial build
- add missing buildrequires and remove requires
- add url in source
- use mkrel

